|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.esa.beam.framework.processor.ui.ParameterPage
org.esa.beam.framework.processor.ui.IOParameterPage
public class IOParameterPage
This class is intended to be used with MultiPageProcessorUI.
| Nested Class Summary | |
|---|---|
static class |
IOParameterPage.InputProductValidator
|
| Field Summary | |
|---|---|
static String |
DEFAULT_PAGE_TITLE
The default title of this page. |
static String |
INPUT_PRODUCT_PARAM_NAME
Parameter name for the request parameter describing the input_product. |
static String |
LOG_PREFIX_PARAM_NAME
Parameter name for the request parameter describing the log_prefix. |
static String |
LOG_TO_OUTPUT_PARAM_NAME
Parameter name for the request parameter describing the log_to_output. |
static String |
OUTPUT_FORMAT_PARAM_NAME
Parameter name for the request parameter describing the output_format. |
static String |
OUTPUT_PRODUCT_PARAM_NAME
Parameter name for the request parameter describing the output_product. |
| Constructor Summary | |
|---|---|
IOParameterPage()
Creates an I/O parameter page for the MultiPageProcessorUI. |
|
IOParameterPage(IOParameterPage.InputProductValidator validator)
Creates an default I/O page for the MultiPageProcessorUI. |
|
IOParameterPage(ParamGroup paramGroup)
Creates an default I/O page for the MultiPageProcessorUI. |
|
| Method Summary | |
|---|---|
JComponent |
createUI()
It creates the UI by using the parameter group of this page. |
String |
getDefaultLogPrefix()
Gets the default log prefix. |
String |
getDefaultOutputProductFileName()
Gets the default output product file name. |
void |
initRequestFromUI(Request request)
Fills the given request with parameters. |
void |
setDefaultLogPrefix(String logPrefix)
Sets the default log prefix. |
void |
setDefaultLogToOutputParameter(Boolean logToOutput)
|
void |
setDefaultOutputProductFileName(String name)
Sets the default output product file name. |
void |
setUIFromRequest(Request request)
Sets the parameter values by these given with the request. |
| Methods inherited from class org.esa.beam.framework.processor.ui.ParameterPage |
|---|
getApp, getParamGroup, getTitle, setApp, setTitle, setUIDefaults |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String INPUT_PRODUCT_PARAM_NAME
ProcessorConstants.INPUT_PRODUCT_PARAM_NAME
public static final String OUTPUT_PRODUCT_PARAM_NAME
ProcessorConstants.OUTPUT_PRODUCT_PARAM_NAME
public static final String OUTPUT_FORMAT_PARAM_NAME
ProcessorConstants.OUTPUT_FORMAT_PARAM_NAME
public static final String LOG_PREFIX_PARAM_NAME
ProcessorConstants.LOG_PREFIX_PARAM_NAME
public static final String LOG_TO_OUTPUT_PARAM_NAME
ProcessorConstants.LOG_TO_OUTPUT_PARAM_NAME
public static final String DEFAULT_PAGE_TITLE
| Constructor Detail |
|---|
public IOParameterPage()
MultiPageProcessorUI.
This class is created with a paramGroup which contains the following parameters:
INPUT_PRODUCT_PARAM_NAME of type java.io.FileOUTPUT_PRODUCT_PARAM_NAME of type java.io.FileOUTPUT_FORMAT_PARAM_NAME of type java.lang.StringLOG_PREFIX_PARAM_NAME of type java.lang.StringLOG_TO_OUTPUT_PARAM_NAME of type java.lang.Boolean
IOParameterPage(org.esa.beam.framework.param.ParamGroup)public IOParameterPage(IOParameterPage.InputProductValidator validator)
MultiPageProcessorUI.
This class is created with a paramGroup which contains the following parameters:
INPUT_PRODUCT_PARAM_NAME of type java.io.FileOUTPUT_PRODUCT_PARAM_NAME of type java.io.FileOUTPUT_FORMAT_PARAM_NAME of type java.lang.StringLOG_PREFIX_PARAM_NAME of type java.lang.StringLOG_TO_OUTPUT_PARAM_NAME of type java.lang.Boolean
validator - the input product validator, can be null if not requiredIOParameterPage(org.esa.beam.framework.param.ParamGroup)public IOParameterPage(ParamGroup paramGroup)
MultiPageProcessorUI.
The given paramGroup must contain the following parameters:
INPUT_PRODUCT_PARAM_NAME of type java.io.FileOUTPUT_PRODUCT_PARAM_NAME of type java.io.FileOUTPUT_FORMAT_PARAM_NAME of type java.lang.StringLOG_PREFIX_PARAM_NAME of type java.lang.StringLOG_TO_OUTPUT_PARAM_NAME of type java.lang.Boolean
paramGroup - the paramGroup to create the UI fromProcessorConstants,
IOParameterPage()| Method Detail |
|---|
public String getDefaultOutputProductFileName()
public void setDefaultOutputProductFileName(String name)
name - the output product file namepublic String getDefaultLogPrefix()
public void setDefaultLogPrefix(String logPrefix)
logPrefix - the log prefixpublic void setDefaultLogToOutputParameter(Boolean logToOutput)
public void setUIFromRequest(Request request)
throws ProcessorException
request.
setUIFromRequest in class ParameterPagerequest - the request to obtain the parameters
ProcessorException - if an error occurred
public void initRequestFromUI(Request request)
throws ProcessorException
request with parameters.
initRequestFromUI in class ParameterPagerequest - the request to fill
ProcessorException - if an error occurredpublic JComponent createUI()
parameter group of this page.
It's only called once by the MultiPageProcessorUI during lifetime of an
instance of this class.
createUI in class ParameterPageMultiPageProcessorUI.
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||